> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/start-sdk.md).

# Iniciar autenticação Smart

## Chamando verifyPolicy

Para iniciar a verificação de vivacidade, use o `verifyPolicy()` método com o ID do documento do usuário, o token móvel da sua conta e um `CafVerifyPolicyListener` fechamento.

| Parâmetro     | Tipo                                                                                                                       | Descrição                                                                                                                                                                                        | Obrigatório |
| ------------- | -------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | :---------: |
| `mobileToken` | String                                                                                                                     | Token de uso associado à sua conta CAF.                                                                                                                                                          |      ✅      |
| `personID`    | String                                                                                                                     | Identificador do usuário que realizará a verificação de vivacidade facial. Recomenda-se usar o documento de identificação do usuário neste campo, como o CPF, mas pode ser qualquer outro valor. |      ✅      |
| `listener`    | [CafVerifyPolicyListener](/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/lifecycle.md#cafverifypolicylistener) | Fechamento que trata os eventos de tecla durante o processo de detecção de vivacidade do SDK.                                                                                                    |      ✅      |

### Exemplo

```swift
private func startSdk() {
    smartAuth?.verifyPolicy(
        personID: "userDocument",
        policyId: "myPolicyId",
        listener: setupListener()
    )
}

private func setupListener() -> CafVerifyPolicyListener {
    return { result in
        switch result {
        case .onSuccess(let response):
            print("CafVerifyPolicyListener.onSuccess autorizado: \(response.isAuthorized)")
            print("CafVerifyPolicyListener.onSuccess attestation: \(response.attestation)")
        
        case .onPending(let response):
            print("CafVerifyPolicyListener.onPending autorizado: \(response.isAuthorized)")
            print("CafVerifyPolicyListener.onPending attestation: \(response.attestation)")
        
        case .onError(let error):
            print("CafVerifyPolicyListener.onError falha: \(error.localizedDescription)")

        case .onCanceled(let error):
            print("CafVerifyPolicyListener.onCanceled falha: \(error.localizedDescription)")
        
        case .onLoading(let isLoading):
            print("CafVerifyPolicyListener.onLoading carregando: \(isLoading)")
        
        case .onLoaded(let isLoaded):
            print("CafVerifyPolicyListener.onLoaded carregado: \(isLoaded)")
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/ios/standalone-modules/cafsmartauth/start-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
